Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1378378 - installer inst.sshd option broken
Summary: installer inst.sshd option broken
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: lorax
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Radek Vykydal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ZedoraTracker 1331753 F25s390x
TreeView+ depends on / blocked
 
Reported: 2016-09-22 10:07 UTC by Radek Vykydal
Modified: 2017-12-12 10:09 UTC (History)
7 users (show)

Fixed In Version: lorax-25.16-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:09:37 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1331753 0 high CLOSED anaconda should not depend on legacy sshd-keygen script during install 2021-02-22 00:41:40 UTC

Internal Links: 1331753

Description Radek Vykydal 2016-09-22 10:07:18 UTC
inst.sshd=1 installer boot option does not work

Broken by this change: bug 1331753
There need to be more changes in lorax and anaconda sshd service, perhaps following the direction proposed in https://github.com/rhinstaller/lorax/issues/153

Comment 1 Jakub Jelen 2016-09-22 12:05:53 UTC
I filled a pull request [1] resolving the issue for Fedora 25, based on the list of reasonable and non-reasonable files explained in the comment to the Issue [2]

[1] https://github.com/rhinstaller/lorax/pull/160
[2] https://github.com/rhinstaller/lorax/issues/153#issuecomment-248869015

Comment 2 Radek Vykydal 2016-09-22 12:39:22 UTC
In my local tests this is fixing the issue (I just checked with an updates image that should add the stuff the lorax patch would add)

Comment 3 Radek Vykydal 2016-09-23 07:47:31 UTC
Jakub, thank you for the patch.

Comment 4 Fedora Update System 2016-09-27 07:20:39 UTC
lorax-25.16-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b806dfedca

Comment 5 Brian Lane 2016-10-11 21:08:23 UTC
*** Bug 1383641 has been marked as a duplicate of this bug. ***

Comment 6 Fedora Update System 2016-10-12 18:59:51 UTC
lorax-25.16-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora End Of Life 2017-11-16 19:16:57 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2017-12-12 10:09:37 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.